Subject: bug#59547: 28.2; The bottom border is not displayed when setting the pixel height of a child frame smaller than 1 line

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Nov 2022 15:02:52 +0200

> Date: Mon, 28 Nov 2022 11:27:17 +0100
> From: martin rudalics <[email-masked]>
> 
> If you replace these two lines with say
> 
>    new_pixel_size = max (horflag ? size : size - mini_height, 1);
>    new_size = max (new_pixel_size / unit, unit);
> 
> you should get the bottom border immediately.  Whether applying such a
> "fix" is safe, is a question I cannot answer though.  Here I'm living
> happily with fixes for this and many related problems but have no hope
> that they will ever see the light of master.

To tell the truth, I hesitate to make changes just to cater to such a
problematic use case.